Bug 1259803 - [RFE] provide extensibility for the "oc" client
[RFE] provide extensibility for the "oc" client
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.0.0
Unspecified Unspecified
unspecified Severity low
: ---
: 3.7.0
Assigned To: Fabiano Franz
Xingxing Xia
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 10:35 EDT by Evgheni Dereveanchin
Modified: 2017-08-22 13:40 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evgheni Dereveanchin 2015-09-03 10:35:39 EDT
Description of problem:
This request proposes to make the "oc" client extensible by means of adding a plugin architecture to it.
Comment 3 Mike Barrett 2015-09-30 11:36:21 EDT
Agree.  We need to publish how to extend the go client.  That will not happen in OSE 3.1.
Comment 5 Mike McCune 2016-03-28 19:02:11 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 6 Dan McPherson 2016-04-14 17:04:37 EDT
It would be helpful to elaborate on what types of extension points would be useful.
Comment 11 Michael Epley 2016-09-29 14:25:18 EDT
Not a plugin architecture, but having a generic way to insert object attributes via JSONPath/YamlPath(?) expressions would be extremely useful; something to the effect of allowing  "--attribute spec.source.sourceSecret.name=gitlabsecret" that would add that node to the corresponding object

Note You need to log in before you can comment on or make changes to this bug.